<div class="form-info" [formGroup]="formJD" nz-form>
  <div nz-row [nzGutter]="40">
    <div nzSpan="12" nz-col>
      <mb-input-text *ngIf="mode === 'create'" [mbReadOnly]="true" (click)="showPosition()" formControlName="posName"
        [mbErrors]="submited?.isSubmit && formJD.controls.posName.errors"
        [mbType]="submited?.isSubmit && formJD.controls.posName.errors ? 'error' : 'default'"
        [mbShowError]="formJD.controls.posName.errors !== null" [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
      | translate: {'param': 'modelOrganization.validate.feild' | translate }}
      ]" [mbMaxLength]="250" mbPlaceholderText="{{'modelOrganization.placeHoder.choose' | translate}}"
        mbLabelText="{{'modelOrganization.label.position' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>

      <div class="text-info"  *ngIf="mode === 'select' || mode === 'view'">
        <span class="text-info__title">{{'modelOrganization.label.position' | translate}} <span *ngIf="mode !== 'view'"
          class='text-info__title--required'>*</span></span>
        <span class="text-info__padding text-info__name">{{formJD?.value.posName}}</span>
      </div>
    </div>

    <div nzSpan="6" nz-col>
      <mb-select *ngIf="mode !== 'view'" formControlName="assignBy" [mbDataSelects]="assignType" mbKeyLabel="value" mbKeyValue="key"
        [mbDisable]="disable"
        [mbShowClear]="false" mbLabelText="{{'modelOrganization.label.assignBy' | translate}}"
        mbPlaceholder="{{'modelOrganization.placeHoder.assignBy' | translate}}"></mb-select>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.assignBy' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.assignBy}}</span>
        </div>
    </div>

    <div nzSpan="6" nz-col>

      <mb-input-text *ngIf="mode !== 'view'" formControlName="jdName"
        [mbDisable]="disable"
        [mbType]="submited?.isSubmit && formJD.controls.jdName.errors ? 'error' : 'default'"
        [mbErrors]="formJD.controls.jdName.errors"
        [mbShowError]="submited?.isSubmit && formJD.controls.jdName?.errors?.required" [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
      | translate: {'param': 'modelOrganization.validate.feild' | translate }}]" [mbMaxLength]="250"
        mbPlaceholderText="{{'modelOrganization.placeHoder.typeJDs' | translate}}"
        mbLabelText="{{'modelOrganization.label.jdName' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>

      <div class="text-info"  *ngIf="mode === 'view'">
        <span class="text-info__title">{{'modelOrganization.label.jdName' | translate}}</span>
        <span class="text-info__padding text-info__name">{{formJD?.value.jdName}}</span>
      </div>
    </div>

    <nz-divider></nz-divider>
  </div>

  <div nz-row [nzGutter]="40">
    <div nzSpan="6" nz-col>
      <div class="text-info">
        <span class="text-info__title">{{'modelOrganization.label.careerGroup' | translate}}</span>
        <span class="text-info__padding">{{formJD?.value.careerGroup}}</span>
      </div>
    </div>

    <div nzSpan="6" nz-col>
      <div class="text-info">
        <span class="text-info__title">{{'modelOrganization.label.jobGroup' | translate}}</span>
        <span class="text-info__padding">{{formJD?.value.jobGroup}}</span>
      </div>
    </div>

    <div nzSpan="6" nz-col>
      <mb-date-picker *ngIf="mode !== 'view'" formControlName="fromDate" mbFormat="dd/MM/yyyy" (ngModelChange)="onChangeDate(formJD.controls.fromDate)"
        [mbDisabled]="disable"
        [mbType]="submited?.isSubmit && formJD.controls.fromDate?.errors ? 'error' : 'default'"
        [mbErrors]="formJD.controls.fromDate?.errors"
        [mbShowError]="submited?.isSubmit && formJD.controls.fromDate?.errors?.required" [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
      | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
        mbPlaceholderText="{{'modelOrganization.placeHoder.date' | translate}}"
        mbLabelText="{{ 'modelOrganization.label.fromDate' | translate }} <span class='label__required'>*</span>"></mb-date-picker>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.fromDate' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.fromDate | date: 'dd/MM/yyyy'}}</span>
        </div>
    </div>

    <div nzSpan="6" nz-col>
      <mb-date-picker *ngIf="mode !== 'view'" formControlName="toDate" mbFormat="dd/MM/yyyy" mbType="default" (ngModelChange)="onChangeDate(formJD.controls.toDate)"
        [mbDisabled]="disable && mode !== 'select'"
        mbPlaceholderText="{{'modelOrganization.placeHoder.date' | translate}}"
        mbLabelText="{{ 'modelOrganization.label.toDate' | translate }}"></mb-date-picker>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.toDate' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.toDate | date: 'dd/MM/yyyy'}}</span>
        </div>
    </div>
  </div>

  <div nz-row [nzGutter]="40">
    <div nzSpan="6" nz-col>
      <mb-select *ngIf="mode !== 'view'" formControlName="role" [mbDataSelects]="listRole" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
        [mbDisable]="disable"
        mbLabelText="{{ 'modelOrganization.label.role' | translate }}"
        mbPlaceholder="{{'modelOrganization.placeHoder.chooseOrType' | translate}}"></mb-select>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.role' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.role}}</span>
        </div>
    </div>

    <div nzSpan="6" nz-col class="multi">
      <mb-select *ngIf="mode !== 'view'" [mbDataSelects]="jobOrgs" formControlName="dReport" mbKeyLabel="jobName" mbKeyValue="jobId" (mbSelect)="selectJob(formJD.controls.dReport)"
        [mbDisable]="disable"
        [mbType]="submited.isSubmit && formJD.controls.dReport.errors ? 'error' : 'default'" [mbErrors]="formJD.controls.dReport.errors"
        [mbShowError]="submited.isSubmit && (formJD.controls.dReport.errors !== null)" [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
      | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
        mbLabelText="{{ 'modelOrganization.label.directlyReport' | translate }} <span class='label__required'>*</span>"
        mbPlaceholder="{{'modelOrganization.placeHoder.chooseOrType' | translate}}"></mb-select>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.directlyReport' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.dReport}}</span>
        </div>
    </div>

    <div nzSpan="6" nz-col class="multi">
      <mb-select *ngIf="mode !== 'view'" formControlName="iReport" [mbDataSelects]="jobOrgs" (mbSelect)="selectJob(formJD.controls.iReport)"
        [mbDisable]="disable"
        mbKeyLabel="jobName" mbKeyValue="jobId"
        mbLabelText="{{ 'modelOrganization.label.indirectReporting' | translate }}"
        mbPlaceholder="{{'modelOrganization.placeHoder.chooseOrType' | translate}}"></mb-select>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.indirectReporting' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.iReport}}</span>
        </div>
    </div>

    <div nzSpan="6" nz-col class="multi">
      <mb-select *ngIf="mode !== 'view'" formControlName="rReport" [mbDataSelects]="jobOrgs"
        [mbDisable]="disable"
        mbKeyLabel="jobName" mbKeyValue="jobId"
        mbLabelText="{{ 'modelOrganization.label.receiveReport' | translate }}"
        mbPlaceholder="{{'modelOrganization.placeHoder.chooseOrType' | translate}}"></mb-select>

        <div class="text-info"  *ngIf="mode === 'view'">
          <span class="text-info__title">{{'modelOrganization.label.receiveReport' | translate}}</span>
          <span class="text-info__padding text-info__name">{{formJD?.value.rReport}}</span>
        </div>
      </div>
    </div>

  <div nz-row [nzGutter]="40">
    <div class="text-info" nz-col nzSpan="12">
      <span class="text-info__title">{{'modelOrganization.label.function' | translate}}</span>
      <span class="text-info__padding text-info__name">{{formJD?.value.function}}</span>
    </div>
    <div nz-col nzSpan="12">
      <app-mb-input-file [disable]="mode === 'view'"
        (clickPreview)="viewFile()" [fileName]="fileInfo.fileName" (fileEvent)="selectFile($event)"></app-mb-input-file>
    </div>
  </div>

  <div nz-row>
    <div nz-col nzSpan="24">
      <mb-input-text *ngIf="mode !== 'view'" formControlName="purposeOfWork" [mbConfig]="{autoSize: { minRows: 3, maxRows: 100 }}"
        [mbDisable]="disable"
        mbLabelText="{{'modelOrganization.label.purposeOfWork' | translate}} <span class='label__required'>*</span>"
        [mbIsTextAre]="true" mbPlaceholderText="{{'modelOrganization.placeHoder.typePurposeOfWork' | translate}}"
        [mbMaxLength]="2000" [mbType]="submited.isSubmit && formJD.controls.purposeOfWork?.errors ? 'error' : 'default'"
        [mbErrors]="formJD.controls.purposeOfWork?.errors"
        [mbShowError]="submited.isSubmit && formJD.controls.purposeOfWork?.errors?.required" [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
        | translate: {'param': 'modelOrganization.validate.feild' | translate }}]">
      </mb-input-text>
      <div *ngIf="mode !== 'view'" class="max-length-input"><span>(2000 ký tự)</span></div>

      <div class="text-info"  *ngIf="mode === 'view'">
        <span class="text-info__title">{{'modelOrganization.label.purposeOfWork' | translate}} </span>
        <span class="text-info__padding text-info__name">{{formJD?.value.purposeOfWork}}</span>
      </div>
    </div>
  </div>



  <div *ngIf="approveJd" nz-row>
    <div nz-col nzSpan="24">
      <mb-input-text [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true"
      mbLabelText="{{'modelOrganization.label.approveInfo' | translate}}"
      [mbType]="submited.isSubmit && !approveJd.description ? 'error' : 'default'"
      [mbErrors]="{required:true}"
      [mbShowError]="submited.isSubmit && !approveJd.description" [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'modelOrganization.validate.commentApprove'
      | translate}]"
      [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
      [(ngModel)]="approveJd.description"  [ngModelOptions]="{standalone: true}">
  </mb-input-text>
    </div>
  </div>
</div>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
          [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>
    <span>View File PDF</span>
  </ng-template>
  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                  [original-size]="true" class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>
  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
